Header

Configurable build environments

New Features

Thumb1400

We're pleased to announce the addition of a new feature to DeployHQ Build today - the ability to configure custom build environments in each of your DeployHQ projects.

Previously, the latest supported version of a given tool (such as PHP or Ruby) was used in all builds, but now if you're using a specific version of one of the supported tools in a build, you'll be able to set up your own custom environment in your project, to be used in any builds run as part of a deployment.

Language versions

Once you've selected a version, that'll always be used in any future deployments in that project.

Ruby version

Anyone already using build commands in a project before today will find they'll continue to use the previous latest versions of our main tools, that were available when the build features were first added to DeployHQ.

Otherwise, you can easily update to the latest supported version in existing project via your Language Versions page. Any new projects created in your account will automatically use the latest supported version of each tool.

You'll find the following versions of each tool can now be selected in a custom environment:

  • Ruby 2.3, 2.4 and 2.5
  • PHP 5.6, 7.0, 7.1 and 7.2
  • Node 8 and 9

If you have any questions about this, or any of the other build command features, please don't hesitate to get in touch.

A little bit about the author

I'm Adam W, or as everyone prefers to call me - Batman. I get a lot of satisfaction out of helping our customers and am committed to making their customer experience as positive as possible. When not offering support to our customers, you'll find me gaming, listening to music or running.